Visual grounding — locate objects in images
/ground
Open-vocabulary visual grounding. Finds objects matching question in the
provided image(s) and returns bounding boxes.
value is an array of {label, box: [x1, y1, x2, y2]} where coordinates
are normalized to [0, 1000]. Returns an empty array when nothing is found.
Body Parameters
domain: optional string
question: optional string
What to find (e.g., "the invoice total", "the crack"). Empty detects regions broadly.
state: optional string
Returns
Visual grounding — locate objects in images
curl https://api.articul8.ai/bivia/ground \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $A8_API_KEY" \
-d '{}'
{
"evidence": {
"spans": [
{
"end": 0,
"start": 0,
"text": "text"
}
]
},
"latency_ms": 0,
"mode": "fast",
"model": "dec-1",
"status": "answered",
"thought": true,
"type": "ground",
"value": {},
"verification": {
"performed": true,
"result": "passed"
},
"abstain_reason": "low_confidence",
"billable_tokens": 0,
"document_notes": [
{
"document": "document",
"status": "included",
"chars": 0,
"reason": "reason",
"tokens": 0,
"truncated": true
}
],
"document_tokens": 0,
"grounded": true,
"image_tokens": 0,
"input_tokens": 0,
"think_allowed": true
}Returns Examples
{
"evidence": {
"spans": [
{
"end": 0,
"start": 0,
"text": "text"
}
]
},
"latency_ms": 0,
"mode": "fast",
"model": "dec-1",
"status": "answered",
"thought": true,
"type": "ground",
"value": {},
"verification": {
"performed": true,
"result": "passed"
},
"abstain_reason": "low_confidence",
"billable_tokens": 0,
"document_notes": [
{
"document": "document",
"status": "included",
"chars": 0,
"reason": "reason",
"tokens": 0,
"truncated": true
}
],
"document_tokens": 0,
"grounded": true,
"image_tokens": 0,
"input_tokens": 0,
"think_allowed": true
}